aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorYongqin Liu <yongqin.liu@linaro.org>2018-03-14 18:01:58 +0800
committerYongqin Liu <yongqin.liu@linaro.org>2018-03-14 18:01:58 +0800
commit3139ec3018bd07018e1958c9bc0f4c21f0027ab2 (patch)
tree5815cbe0dea8aafcea2e340d3fda085e30ce30fb
parent7a5109b1b2c0da501f9c58510c5fef8582d415cc (diff)
android monkey.sh: output the logcat for debug
if the monkey failed to run all the events specified. Change-Id: I0d1c3893fd3bef6734554b8dac02b24b89566636 Signed-off-by: Yongqin Liu <yongqin.liu@linaro.org>
-rwxr-xr-xautomated/android/monkey/monkey.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/automated/android/monkey/monkey.sh b/automated/android/monkey/monkey.sh
index b865f8f7..c7707d25 100755
--- a/automated/android/monkey/monkey.sh
+++ b/automated/android/monkey/monkey.sh
@@ -86,3 +86,8 @@ if grep -q "Network stats: elapsed time=" "${LOGFILE}"; then
else
report_fail "monkey-network-stats"
fi
+
+if ! grep "Events injected: ${EVENT_COUNT}" "${LOGFILE}"; then
+ ## output the logcat information for debug when failed to run inject all the events
+ adb logcat -d -b all
+fi